Complete an order checkout
curl --request POST \
--url https://business.papp.sa/api/v1/orders/{orderUuid}/complete \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"payment_method": "2"
}
'import requests
url = "https://business.papp.sa/api/v1/orders/{orderUuid}/complete"
payload = { "payment_method": "2" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({payment_method: '2'})
};
fetch('https://business.papp.sa/api/v1/orders/{orderUuid}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"appended_data": {},
"data": {
"id": 42,
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"reference_number": "REF-2024-001234",
"order_status": "approved",
"status_label": "خرج للتوصيل",
"custom_status": {
"ar": "خرج للتوصيل",
"en": "Out for delivery"
},
"order_number": "ORD-2024-001234",
"type": 1,
"total_price": 150.5,
"total_points": 1505,
"metadata": {
"source": "mobile_app"
},
"date": "2024-12-23T00:00:00.000Z",
"time": "10:00:00",
"since": "2 hours ago",
"settlement_status": "settled",
"status": 1,
"created_at": "2024-12-23T10:00:00.000Z",
"updated_at": "2024-12-23T15:30:00.000Z",
"items": [
{
"product_name": "Cappuccino",
"product_price": 18.5,
"quantity": 2
}
]
}
}{
"status": false,
"message": "Invalid or inactive API key",
"appended_data": {}
}{
"status": false,
"message": "Invalid or inactive API key",
"appended_data": {}
}{
"status": false,
"message": "The given data was invalid.",
"appended_data": {},
"errors": {
"total_price": [
"The total price field is required."
],
"products.0.quantity": [
"The quantity must be at least 1."
]
}
}Orders
Complete an order checkout
Marks a replacing order as fully paid and records the payment method. Only replacing orders that are not already completed, refunded, or cancelled may be completed.
POST
/
v1
/
orders
/
{orderUuid}
/
complete
Complete an order checkout
Authorizations
Path Parameters
Order UUID.
Body
application/json
Body for POST /v1/orders/{orderUuid}/complete. All fields are optional.
Payment method used to complete the order. String-numeric enum:
| Value | Method |
|---|---|
"1" | VISA |
"2" | MADA |
"3" | Apple Pay |
"4" | Mastercard |
"5" | Tabby |
"6" | Dashboard |
"7" | Bank transfer |
"8" | Wallet |
"9" | Cash |
"10" | Tamara |
Available options:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Example:
"2"
⌘I

